### Hierarchy

- BasicLogger

### Implements

- Logger

## Index

### Methods

- debug
- error
- info

## Methods

### debug

- debug(message: string, ...args: Array<object | string | number>): void

- Implementation of Logger.debug

  - Defined in utils/BasicLogger.ts:20

  #### Parameters

  - ##### message: string

  - ##### Rest ...args: Array<object | string | number>

  #### Returns void

### error

- error(message: string, ...args: Array<object | string | number>): void

- Implementation of Logger.error

  - Defined in utils/BasicLogger.ts:12

  #### Parameters

  - ##### message: string

  - ##### Rest ...args: Array<object | string | number>

  #### Returns void

### info

- info(message: string, ...args: Array<object | string | number>): void

- Implementation of Logger.info

  - Defined in utils/BasicLogger.ts:16

  #### Parameters

  - ##### message: string

  - ##### Rest ...args: Array<object | string | number>

  #### Returns void

Generated using TypeDoc